# $Revision: 1.24 $, $Date: 2009/03/08 22:33:44 $
#
# Conditional build:
%bcond_without	dbus	# build without dbus support
#
Summary:	Xfmedia - lightweight media player based on the xine engine
Summary(pl.UTF-8):	Xfmedia - lekki odtwarzacz multimedialny oparty na silniku xine
Name:		xfmedia
Version:	0.9.2
Release:	3
License:	GPL v2
Group:		X11/Applications/Multimedia
Source0:	http://spuriousinterrupt.org/projects/xfmedia/files/%{name}-%{version}.tar.bz2
# Source0-md5:	6eb8bd1f67201f829e0f45e733c02bd5
Patch0:		%{name}-desktop.patch
URL:		http://spuriousinterrupt.org/projects/xfmedia/index.php
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.8
%{?with_dbus:BuildRequires:	dbus-glib-devel >= 0.31}
BuildRequires:	exo-devel >= 0.3.0
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxfce4util-devel >= 4.2.0
BuildRequires:	libxfcegui4-devel >= 4.2.0
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	startup-notification-devel >= 0.5
BuildRequires:	taglib-devel
BuildRequires:	xfce4-dev-tools >= 4.3.90.2
BuildRequires:	xine-lib-devel
BuildRequires:	xorg-lib-libXScrnSaver-devel
Requires(post,postun):	gtk+2 >= 2:2.6.0
Requires(post,postun):	hicolor-icon-theme
Requires:	exo >= 0.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xfmedia is a lightweight media player based on the xine engine. The
GTK+ GUI focuses on playing and managing audio files, but, being based
on xine, supports video as well.

%description -l pl.UTF-8
Xfmedia jest lekkim odtwarzaczem multimedialnym opartym o silnik xine.
Interfejs GTK+ skupia się na zarządzaniu i odtwarzaniu plików audio,
ale, jako że jest oparty na xine, obsługuje również pliki wideo.

%package plugins
Summary:	Xfmedia plugins
Summary(pl.UTF-8):	Wtyczki dla Xfmedia
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description plugins
Xfmedia plugins:
- infopipe

%description plugins -l pl.UTF-8
Wtyczki dla Xfmedia:
- infopipe

%package devel
Summary:	Header files for Xfmedia
Summary(pl.UTF-8):	Pliki nagłówkowe Xfmedia
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Xfmedia - header files.

%description devel -l pl.UTF-8
Xfmedia - pliki nagłówkowe.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	--%{?with_dbus:en}%{!?with_dbus:dis}able-dbus \
	--enable-startup-notification \
	--with-taglib \
	--x-includes=%{_includedir}/xorg \
	--x-libraries=%{_prefix}/lib/X11

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xfmedia/plugins/xfmedia-infopipe.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* TODO
%dir %{_sysconfdir}/xdg/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/%{name}/*
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_iconsdir}/hicolor/48x48/apps/*
%{_iconsdir}/hicolor/22x22/actions/*
%{_desktopdir}/*.desktop
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/doc
%{_datadir}/%{name}/doc/xfce.css
%dir %{_datadir}/%{name}/doc/C/
%{_datadir}/%{name}/doc/C/*

%files plugins
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/*.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}
%{_pkgconfigdir}/*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfmedia.spec,v $
Revision 1.24  2009/03/08 22:33:44  blues
- rel.3 - exo deps

Revision 1.23  2008/02/04 16:45:10  qboosh
- BR: intltool

Revision 1.22  2008-02-02 08:00:44  hawk
- fixed typo in previous changelog entry

Revision 1.21  2008-02-02 07:59:35  hawk
- fixed build by adding %{__intltoolize}
- release 2

Revision 1.20  2007-02-12 22:09:22  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.18  2006/11/27 23:25:26  megabajt
- updated to 0.9.2
- removed dbus_use_newapi, trayicon-volume-scroll, link patches (applied upstream)

Revision 1.17  2006/09/23 20:01:06  koorek
- missing BR

Revision 1.16  2006/09/23 18:45:15  megabajt
- add link patch
- use %update_icon_cache macro
- release 3

Revision 1.15  2006/05/22 11:13:24  baggins
- rel 2
- fix build with recent dbus

Revision 1.14  2005/11/30 15:08:34  adgor
- Removed unused external desktop file (already in sources)
- Added desktop.patch

Revision 1.13  2005/11/28 12:21:03  luzik
- fixed Group

Revision 1.12  2005/11/04 12:38:19  adgor
- 0.9.1

Revision 1.11  2005/09/04 17:17:55  arekm
- rel 1

Revision 1.10  2005/06/13 11:08:16  koorek
- updated to 0.8.0

Revision 1.9  2005/06/01 15:55:32  koorek
- BR fixes
- hopefully should build ok

Revision 1.8  2005/06/01 15:20:00  koorek
- BR/R: libexo
- use %find_lang macro

Revision 1.7  2005/06/01 15:09:32  sardzent
- added BR

Revision 1.6  2005/06/01 14:37:11  koorek
- updated to 0.7.1
- added bcond_without dbus

Revision 1.5  2005/03/11 20:53:30  qboosh
- automake epoch, strict internal deps

Revision 1.4  2005/03/11 06:39:16  koorek
- updated ac/am versions requirement

Revision 1.3  2005/03/05 21:20:55  koorek
- rel 1

Revision 1.2  2005/02/25 21:15:08  qboosh
- cleanup, missing dirs

Revision 1.1  2005/02/25 16:05:58  koorek
- Init, NFY
